Subject: Re: [PWE3] Re: Secure MPLS

From: "Tissa Senevirathne" <[email-masked]>
Date: Wed, 31 Jul 2002 01:20:16 +0000

FRF.17 is very helpful. After reading the document here is the summary I 
gathered.

FRF.17 is the privacy agreement for Frame Relay and published presented in 
Jan 2000.

The document provide both Authentication and Encryption.

I am inclined to believe , availability of this document as a FRF ID 
indicates Frame Relay forum may have had a good motivation to consider the 
encryption and authentication.

Drilling further into the Payload format I found that encapsulation of 
security header etc.. is quite similar to the work presented in secure MPLS.

Both of these (FRF.17 and Secure MPLS) use work from IPSec. The advantage is 
one could leverage the existing crypto engines to implement the solutions at 
hardware level.

>From: "h.hopkins" <[email-masked]>
>To: "Tissa Senevirathne" 
><[email-masked]>,<[email-masked]>,<[email-masked]>,<[email-masked]>,<[email-masked]>
>Subject: Re: [PWE3] Re: Secure MPLS
>Date: Tue, 30 Jul 2002 20:44:02 +0100
>
>The Frame Relay Forum has published an Implementation Agreement on Privacy
>at
>http://www.frforum.com/5000/5000index.html See FRF.17 it may be relevant.
>
>Harman H Hopkins
>Director, Accent on Networks
>26 Princes Road
>Felixstowe, Suffolk
>IP11 7QZ
>UK
>
>e-mail: [email-masked]
>
>----- Original Message -----
>From: "Tissa Senevirathne" <[email-masked]>
>To: <[email-masked]>; <[email-masked]>; <[email-masked]>;
><[email-masked]>
>Sent: 30 July 2002 19:09
>Subject: Re: [PWE3] Re: Secure MPLS
>
>
> > Alan
> >
> >   Can you give us pointers to secure Frame relay that we can use and
> > compare..
> >
> >
> > >From: Alan Hannan <[email-masked]>
> > >To: Tissa Senevirathne <[email-masked]>, [email-masked],
>[email-masked],
> > >       [email-masked]
> > >Subject: [PWE3] Re: Secure MPLS
> > >Date: Tue, 30 Jul 2002 10:27:02 -0700
> > >
> > >
> > >   I suggest that folks review the work done on Secure Frame Relay.
> > >
> > >   -a
> > >
> > >Thus spake Ben Black ([email-masked])
> > >  on or about Tue, Jul 30, 2002 at 09:49:16AM -0700:
> > > > Could you elaborate further on the requirements for a secure MPLS
> > > > mechanism?  Eager hackers seems a bit vague.
> > > >
> > > >
> > > > Ben
> > > >
> > > > On Tue, Jul 30, 2002 at 03:02:36AM +0000, Tissa Senevirathne wrote:
> > > > >
> > > > >
> > > > >
> > > > > At Yokhoma during PWe3 session, it was indicated that hackers are
> > >waiting
> > > > > for the day that L2 VPN get exposed in the WAN.
> > > > >
> > > > > In light of that I thought to restart the discussion on Secure 
>MPLS.
> > > > >
> > > > > The link below is Secure MPLS ID. This ID present how MPLS 
>payloads
> > >can be
> > > > > encrypted in a similar manner like IPsec when upper layers does 
>not
> > >have
> > > > > security capabilities. Or on links between PE to PE that are 
>exposed
> > >to
> > > > > public networks.
> > > > >
> > > > > http://search.ietf.org/internet-drafts/draft-tsenevir-smpls-02.txt
> > > > >
> > > > > For those who are lot in to Security the DOI (Domain of
> > >Interpretation) for
> > > > > Secure MPLS can be found in
> > > > >
> > > > >
>http://search.ietf.org/internet-drafts/draft-tsenevir-smpls-doi-01.txt
> > > > >
> > > > > Could you provide comments and feedback.
> > > > >
> > > > > Thanks
> > > > >
> > > > > Tissa
> > > > >
> > > > > _________________________________________________________________
> > > > > MSN Photos is the easiest way to share and print your photos:
> > > > > http://photos.msn.com/support/worldwide.aspx
> > >
> > >_______________________________________________
> > >pwe3 mailing list
> > >[email-masked]
> > >https://www1.ietf.org/mailman/listinfo/pwe3
> >
> >
> >
> >
> > _________________________________________________________________
> > MSN Photos is the easiest way to share and print your photos:
> > http://photos.msn.com/support/worldwide.aspx
> >

_________________________________________________________________
MSN Photos is the easiest way to share and print your photos: 
http://photos.msn.com/support/worldwide.aspx